/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Phone number.
 */
@ApiModel(description = "Phone number.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model34 {
  @SerializedName("international_prefix")
  private String internationalPrefix = null;

  @SerializedName("number")
  private String number = null;

  public Model34 internationalPrefix(String internationalPrefix) {
    this.internationalPrefix = internationalPrefix;
    return this;
  }

   /**
   * Prefix to be added to be called from abroad
   * @return internationalPrefix
  **/
  @ApiModelProperty(value = "Prefix to be added to be called from abroad")
  public String getInternationalPrefix() {
    return internationalPrefix;
  }

  public void setInternationalPrefix(String internationalPrefix) {
    this.internationalPrefix = internationalPrefix;
  }

  public Model34 number(String number) {
    this.number = number;
    return this;
  }

   /**
   * Phone number. Can be local or international.
   * @return number
  **/
  @ApiModelProperty(required = true, value = "Phone number. Can be local or international.")
  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model34 model34 = (Model34) o;
    return Objects.equals(this.internationalPrefix, model34.internationalPrefix) &&
        Objects.equals(this.number, model34.number);
  }

  @Override
  public int hashCode() {
    return Objects.hash(internationalPrefix, number);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model34 {\n");
    
    sb.append("    internationalPrefix: ").append(toIndentedString(internationalPrefix)).append("\n");
    sb.append("    number: ").append(toIndentedString(number)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

